## Sensu-Plugins-amqp-checks

[![Build Status](https://travis-ci.org/sbrimhall/sensu-plugins-amqp-checks.svg?branch=master)](https://travis-ci.org/sbrimhall/sensu-plugins-amqp-checks)
[![Gem Version](https://badge.fury.io/rb/sensu-plugins-amqp-checks.svg)](http://badge.fury.io/rb/sensu-plugins-amqp-checks)
[![Code Climate](https://codeclimate.com/github/sbrimhall/sensu-plugins-rabbitmq/badges/gpa.svg)](https://codeclimate.com/github/sensu-plugins/sensu-plugins-amqp-checks)
[![Test Coverage](https://codeclimate.com/github/sensu-plugins/sensu-plugins-rabbitmq/badges/coverage.svg)](https://codeclimate.com/github/sbrimhall/sensu-plugins-amqp-checks)
[![Dependency Status](https://gemnasium.com/sbrimhall/sensu-plugins-amqp-checks.svg)](https://gemnasium.com/sbrimhall/sensu-plugins-amqp-checks)

## Functionality

This plugin is for checking a RabbitMQ queue for a keepalive/status message.  It was written for an application that publishes keepalive messages every N seconds and this check consumes the queue and checks whether there are messages present to consume.

If needed, further functionality could be added to check the message payload for information but right now it merely checks whether the keepalive message is present or not.  It is intended for the Sensu check to have an occurrences of at least 2 to account for differences in synchronization between the keepalive interval and when the check runs.

## Files
 * bin/check-amqp-status.rb

## Usage

/path_to_sensu/embedded/bin/ruby /path_to_sensu/embedded/bin/check-amqp-status.rb --host rabbitmq_host -u rabbit_user --password rabbit_password  --queue queue_to_check --port 5672

## Installation

[Installation and Setup](http://sensu-plugins.io/docs/installation_instructions.html)

## Notes
